summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthew Thode <prometheanfire@gentoo.org>2015-09-03 00:01:03 -0500
committerMatthew Thode <prometheanfire@gentoo.org>2015-09-03 00:03:05 -0500
commit0f25ba22a31e8784cfd1f3335d53f6b38205239f (patch)
treed316627dc71a5cd83cd6a317375345b837657019
parentsys-devel/automake: Fix license of 9999 ebuild from GPL-3 to GPL-2. (diff)
downloadgentoo-0f25ba22a31e8784cfd1f3335d53f6b38205239f.tar.gz
gentoo-0f25ba22a31e8784cfd1f3335d53f6b38205239f.tar.bz2
gentoo-0f25ba22a31e8784cfd1f3335d53f6b38205239f.zip
dev-libs/gf-complete: got a tagged release at a horrible url
Package-Manager: portage-2.2.20.1
-rw-r--r--dev-libs/gf-complete/Manifest1
-rw-r--r--dev-libs/gf-complete/gf-complete-2.0.0.ebuild30
2 files changed, 31 insertions, 0 deletions
diff --git a/dev-libs/gf-complete/Manifest b/dev-libs/gf-complete/Manifest
index 86ef162f21e..11c61f431be 100644
--- a/dev-libs/gf-complete/Manifest
+++ b/dev-libs/gf-complete/Manifest
@@ -1 +1,2 @@
DIST gf-complete-0.0.0.tar.gz 596339 SHA256 7ec49204d0ce28f9158c65535183f55c0964fad02707234f4982917308ca521b SHA512 7942a29b80972fffab15dc86c560345911db5aa976d2c505804d0eff10c9135f674f3511b579e2bac26342ca53a81d323826a1ff1d790836a4650a07769851a2 WHIRLPOOL 5e8b27c3514300869c42f6af4084dc498b7ad8bc02a2a2b5120038d3598b364f2344f323ca2b2d55c231f1d2d842266305585bab20582fd1bbc752e27323338a
+DIST gf-complete-2.0.0.tar.gz 122566 SHA256 0654202fe3b0d3f8a220158699bdea722e47e7f9cbc0fd52e4857aba6a069ea9 SHA512 3b0693bf374086417f04cee09dceeb694aafaf7fb3c829b89f303b65634ae509406c8a0de10f57c666b4c78b11043f355bb3c81f95eac061cb16de9db2b71b89 WHIRLPOOL fcf5fb5795a5b3e17967535c290e7a791b16433606192f927ef70af4cc402a7c3553f71650ef88954396ade54baec4abe1658fac24af1e1587ef6254128003a9
diff --git a/dev-libs/gf-complete/gf-complete-2.0.0.ebuild b/dev-libs/gf-complete/gf-complete-2.0.0.ebuild
new file mode 100644
index 00000000000..c6c2fbc03f3
--- /dev/null
+++ b/dev-libs/gf-complete/gf-complete-2.0.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit autotools eutils
+
+DESCRIPTION="A Comprehensive Open Source Library for Galois Field Arithmetic"
+HOMEPAGE="http://jerasure.org/"
+SRC_URI="https://dev.gentoo.org/~prometheanfire/dist/${P}.tar.gz"
+S="${WORKDIR}/${PN}.git"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND=""
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ sed -i -e 's/ -O3 $(SIMD_FLAGS)//g' src/Makefile.am tools/Makefile.am test/Makefile.am examples/Makefile.am|| die
+ eautoreconf
+}
+
+src_install() {
+ default
+ prune_libtool_files
+}